Bug 994355 - (CVE-2013-4183) CVE-2013-4183 OpenStack: Cinder LVM volume driver does not support secure deletion
CVE-2013-4183 OpenStack: Cinder LVM volume driver does not support secure del...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130705,repor...
: Security
Depends On: 994368 994369 994370 994669 994670
Blocks: 994365
  Show dependency treegraph
 
Reported: 2013-08-07 02:26 EDT by Garth Mollett
Modified: 2016-04-26 10:00 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 02:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream fix (5.18 KB, patch)
2013-08-07 03:01 EDT, Garth Mollett
no flags Details | Diff

  None (edit)
Description Garth Mollett 2013-08-07 02:26:58 EDT
Jeremy Stanley <jeremy@openstack.org> reports:

Title: Cinder LVM volume driver does not support secure deletion
Reporter: Rongze Zhu (UnitedStack)
Products: Cinder
Affects: 2013.1 (Grizzly) and later

Description:
Rongze Zhu from UnitedStack reported a vulnerability in the Cinder
LVM volume driver. The contents of LVM snapshots may not be cleared
upon deletion even when secure deletes are configured, resulting in
potential exposure of latent data to subsequent servers for other
tenants. Only setups using LVMVolumeDriver are affected.

Havana (development branch) fix:
https://review.openstack.org/36506

Grizzly fix:
https://review.openstack.org/39565

Notes:
This fix is included in the havana-2 development milestone and will
appear in a future 2013.1.3 release.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4183
https://bugs.launchpad.net/nova/+bug/1198185
Comment 3 Garth Mollett 2013-08-07 03:01:13 EDT
Created attachment 783692 [details]
Upstream fix
Comment 4 Kurt Seifried 2013-08-07 14:16:32 EDT
Created openstack-swift tracking bugs for this issue:

Affects: fedora-all [bug 994669]
Affects: epel-6 [bug 994670]
Comment 5 errata-xmlrpc 2013-09-03 16:24:16 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1198 https://rhn.redhat.com/errata/RHSA-2013-1198.html

Note You need to log in before you can comment on or make changes to this bug.